Summary:   Free TrueType font rasterizer library
Name:      freetype
Version:   1.3.1
Release:   1a
URL:       http://www.freetype.org
Source:    ftp://ftp.freetype.org/pub/freetype/%{name}-%{version}.tar.gz
Patch:	   localhost:/freetype1.3-adw-nocheck.patch
Copyright: BSD-like
Group:     System Environment/Libraries
BuildRoot: /tmp/%{name}-%{version}-root

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%package devel
Summary:  Header files and static library for development with FreeType
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%package utils
Summary:   Several utilities to manipulate and examine TrueType fonts
Group:     Applications/Publishing
Obsoletes: freetype-progs
Requires:  %{name} = %{version}

%description utils
This package contains several utilities which allow you to view and
manipulate true type fonts.  They are mainly useful for debugging and
testing purposes, and are not required for using the FreeType library.

%prep

%setup -q
cd lib
%patch -p0
cd ..

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --enable-static \
            --with-locale-dir=/usr/share/locale

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr \
     localedir=$RPM_BUILD_ROOT/usr/share/locale \
     gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale \
     install

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs howto pascal INSTALL PATENTS README announce license.txt readme.1st
/usr/lib/lib*.so.*.*
/usr/share/locale/cs/LC_MESSAGES/freetype.mo
/usr/share/locale/de/LC_MESSAGES/freetype.mo
/usr/share/locale/es/LC_MESSAGES/freetype.mo
/usr/share/locale/fr/LC_MESSAGES/freetype.mo
/usr/share/locale/nl/LC_MESSAGES/freetype.mo

%files devel
%defattr(-,root,root)
/usr/include/freetype
/usr/lib/lib*.a
/usr/lib/lib*.so

%files utils
%defattr(-,root,root)
/usr/bin/*

%changelog
* Mon Jan 24 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added adw-nocheck patch from xtt-1.3
- built against linuxppc-1999

* Mon Jan 17 2000 Arne Coucheron <arneco@online.no>
  [1.3.1-1]
- Group, Summary and description tags changed to comply with RH 6.x
- added some more docs
- freetype-progs renamed to freetype-utils to follow the RH scheme

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [1.2-1]
- Copyright field changed to BSD-like
- removed the %lang macros in filelist, produces too many error messages
  when uninstalling the package

* Wed Jul 15 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1-1
- changed Source: and URL: tags to new adresses
- added striping of the binaries
- added es NLS language

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1pre1-2
- rpm 2.5 is doing weird things with the %doc, moved it last in filelist
  to make it behave better

* Mon May 25 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1pre1-1
- removed libttf.so.1 symlink
- added --with-locale-dir and --with-gnu-ld to configure
- changed HOWTO in %doc to HOWTO.txt
- lib*.so* files wasn't chmod 755, fixed
- removed initial making of the $RPM_BUILD_ROOT/usr directory
  layout in %install, it isn't needed

* Thu May 14 1998 Arne Coucheron <arneco@online.no>
- updated to current devel release so that ImageMagick 4.0.6 can be compiled
- removed installing of tterror.h/ttcommon.h, don't exist in devel source
- added --enable-static to configure, required now to build static libs
- added additional NLS languages
- made symlink from libttf.so.1 to libttf.so.2.0.0 for apps needing it

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added instaling tterror.h header file,
- %%{version} macro instead %%{PACKAGE_VERSION},
- added using %%{name} macro in Buildroot and in Requires in devel,
- added -q %setup parameter.

* Mon Apr 27 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- replaced usind %{version} macro by predefined %%{PACKAGE_VERSION},
- added "Requires: freetype = %{PACKAGE_VERSION}" for devel subpackage,
- added using %defattr in %files (requires rpm >= 2.4.99),
- added %lang macros for files /usr/share/locale/*/LC_MESSAGES/freetype.mo
  files,
- added striping /usr/lib/lib*so.*.*,
- programs from /usr/bin/ moved to separated progs subpackage.

* Wed Feb 18 1998 Arne Coucheron <arneco@online.no>
- First release, 1.0-1
